/*++

Copyright (c) 1996  Microsoft Corporation

Module Name:

    recv.h

Abstract:

    defines for packet receive routines

Author:

    Jim Mateer 4-1-97

Revision History:

--*/

#ifndef _RECV_
#define _RECV_

/*++

Routine Description:

    Called by the NIC to indicate a data as an NDIS_PACKET. Switch to miniport mode
    and continue the packet along its way

Arguments:

    See the DDK...

Return Values:

    None

--*/

INT
CLReceivePacket(
	IN	NDIS_HANDLE				ProtocolBindingContext,
	IN	PNDIS_PACKET			Packet
	);

/*++

Routine Description:



Arguments:

    See the DDK...

Return Values:

    None

--*/

VOID
MPReturnPacket(
	IN	NDIS_HANDLE				MiniportAdapterContext,
	IN	PNDIS_PACKET			Packet
	);

/*++

Routine Description:

    Called by NIC to notify protocol of incoming data

Arguments:

    See the DDK...

Return Values:

    None

--*/

NDIS_STATUS
CLReceiveIndication(
	IN	NDIS_HANDLE				ProtocolBindingContext,
	IN	NDIS_HANDLE				MacReceiveContext,
	IN	PVOID					HeaderBuffer,
	IN	UINT					HeaderBufferSize,
	IN	PVOID					LookAheadBuffer,
	IN	UINT					LookaheadBufferSize,
	IN	UINT					PacketSize
	);

/*++

Routine Description:

    Called by NIC via NdisIndicateReceiveComplete

Arguments:

    See the DDK...

Return Values:

    None

--*/

VOID
CLReceiveComplete(
	IN	NDIS_HANDLE				ProtocolBindingContext
	);

/*++

Routine Description:



Arguments:

    See the DDK...

Return Values:

    None

--*/

NDIS_STATUS
MPTransferData(
	OUT PNDIS_PACKET			Packet,
	OUT PUINT					BytesTransferred,
	IN	NDIS_HANDLE				MiniportAdapterContext,
	IN	NDIS_HANDLE				MiniportReceiveContext,
	IN	UINT					ByteOffset,
	IN	UINT					BytesToTransfer
	);

/*++

Routine Description:

    Completion routine for NdisTransferData
Arguments:

    See the DDK...

Return Values:

    None

--*/

VOID
CLTransferDataComplete(
    IN  NDIS_HANDLE     ProtocolBindingContext,
    IN  PNDIS_PACKET    pNdisPacket,
    IN  NDIS_STATUS     Status,
    IN  UINT            BytesTransferred
    );

/* End Prototypes */

#endif /* _RECV_ */

/* end recv.h */
