/*++

Copyright (c) 1996  Microsoft Corporation

Module Name:

    send.h

Abstract:

    defines for packet sending routines

Author:

    Jim Mateer

Revision History:

--*/

#ifndef _SEND_
#define _SEND_


//VOID
//MPCoSendPackets(
//    IN  NDIS_HANDLE             MiniportVcContext,
//    IN  PPNDIS_PACKET           PacketArray,
//    IN  UINT                    NumberOfPackets
//    );

/*++

Routine Description:

    Send the packets given to us on their merry way. For now, since we don't do
    any scheduling, we simply pass them through and let NDIS deal with whether
    the underlying adapter is expecting NdisSend or NdisSendPackets

Arguments:

    See the DDK...

Return Values:

    None

--*/

VOID
MPSendPackets(
	IN	NDIS_HANDLE				MiniportAdapterContext,
	IN	PPNDIS_PACKET			PacketArray,
	IN	UINT					NumberOfPackets
	);

/*++

Routine Description:

    Completion routine for NdisSend

Arguments:

    See the DDK...

Return Values:

    None

--*/

VOID
CLSendComplete(
	IN	NDIS_HANDLE				ProtocolBindingContext,
	IN	PNDIS_PACKET			Packet,
	IN	NDIS_STATUS				Status
	);

//VOID
//CMCoSendComplete(
//    IN  NDIS_STATUS Status,
//    IN  NDIS_HANDLE ProtocolVcContext,
//    IN  PNDIS_PACKET Packet
//    );

VOID
PacketCompletion(
    IN PADAPTER Adapter,
    IN PNDIS_PACKET Packet,
    IN NDIS_STATUS Status
   );

/* End Prototypes */

#endif /* _SEND_ */

/* end send.h */
